﻿@using VietHoang.Feature.Language
@using VietHoang.Feature.Language.Models
@using VietHoang.Dictionary.Extensions

@model LanguageSelectorModel

@if (Model.Languages?.Any() != true)
{
    return;
}

<div>
    <span>Language Selector:</span>

    @{
        foreach (var language in Model.Languages)
        {
            if (language.TwoLetterCode == Model.Current?.TwoLetterCode)
            {
                continue;
            }

            var dictionaryPath = string.Format(Constants.Dictionary.Language.LanguageSelectorPathFormatString, language.Name);

            <a href="@language.Url">@Html.Sitecore().Dictionary(dictionaryPath, language.NativeName)</a>
            <span> | </span>
        }
    }
</div>
<br/>